/*******************************************************************/
/**    MAC 110 - Introdução à Computação                          **/
/**    IME-USP - Primeiro Semestre de 2011                        **/
/**    Turma: 045 - Professor: Fábio Kon                          **/
/**                                                               **/
/**    Terceiro Exercício-Programa -- ByteMaze                    **/
/**    Arquivo: Walkable.java                                     **/
/**                                                               **/
/**    Rafael Marinaro Verona            7577323                  **/
/**    Ricardo Ferreira Guimarães        7577650                  **/
/**                                                               **/
/*******************************************************************/

import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This class simply group subclasses which allow movement in to them.
 * 
 * @Ricardo F. Guimarães and Rafael M.Verona 
 * @1.0
 */
public class Walkable  extends Actor
{
    boolean walkable = true;
    /**
     * Act - do whatever the Walkable wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
    } 
    
     /**
     * Switch the object state.
     * @param walk state desired.
     */
    public void switchWalkable(boolean walk)
    {
        walkable = walk;
    }
    
    /**
     * Return the actual state of the object.
     * @returns actual state.
     */
    public boolean isWalkable()
    {
        return walkable;
    }
        
}
