/*******************************************************************/
/**    MAC 110 - Introdução à Computação                          **/
/**    IME-USP - Primeiro Semestre de 2011                        **/
/**    Turma: 045 - Professor: Fábio Kon                          **/
/**                                                               **/
/**    Terceiro Exercício-Programa -- ByteMaze                    **/
/**    Arquivo: Panel.java                                        **/
/**                                                               **/
/**    Rafael Marinaro Verona            7577323                  **/
/**    Ricardo Ferreira Guimarães        7577650                  **/
/**                                                               **/
/*******************************************************************/

import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Class that represents a panel to be used on the interface (HUD).
 * 
 * @author Ricardo F. Guimarães and Rafael M. Verona
 * @version 1.0
 */
public class Panel  extends Actor
{
    /**
     * Updates the panel to show the string desired.
     * @param text String to be shown by the Panel.
     */
    public void update(String text)
    {
        setImage( (new GreenfootImage(text, 20,Color.GREEN, Color.BLACK)));
    }
    
    /**
     * Act - do whatever the Panels wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
    }
    
}
