/*******************************************************************/
/**    MAC 110 - Introdução à Computação                          **/
/**    IME-USP - Primeiro Semestre de 2011                        **/
/**    Turma: 045 - Professor: Fábio Kon                          **/
/**                                                               **/
/**    Terceiro Exercício-Programa -- ByteMaze                    **/
/**    Arquivo: SourceCode.java                                   **/
/**                                                               **/
/**    Rafael Marinaro Verona            7577323                  **/
/**    Ricardo Ferreira Guimarães        7577650                  **/
/**                                                               **/
/*******************************************************************/

import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Source-Codes are itens that the player should get to pass through the levels.
 * 
 * @author Rafael M. Verona and Ricardo F. Guimarães
 * @version 1.0
 */
public class SourceCode  extends Walkable
{
    private final int SOURCE_SCORE = 50; //Pontos ganhos por Source-Code coletado
    
    /**
     * Act - do whatever the SourceCode wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
    }
    
    /**
     * Called when the player get the object, return a value and removes the object.
     * 
     * @returns points to be added to the score
     */
    public int got()
    {
        GreenfootSound gotSourceSfx =  new GreenfootSound("33108__HardPCM__Chip064.mp3");
        gotSourceSfx.play(); //Reproduz efeito sonoro
        
        ((Level) (getWorld()) ).messageBox().update("Got an Source Code"); //Mostra uma mensagem
        
        Floor f = new Floor("floor.png"); //Cria um novo Floor
        getWorld().addObject(f, getX(),getY()); //Coloca no lugar
        getWorld().removeObject(this); //Remove este objeto
        return SOURCE_SCORE; //Retorna pontuação
    }
}
